<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddTransPatternReq StructType
 * @subpackage Structs
 */
class AddTransPatternReq extends APIRequest
{
    /**
     * The transPattern
     * @var XTransPattern
     */
    public $transPattern;
    /**
     * Constructor method for AddTransPatternReq
     * @uses AddTransPatternReq::setTransPattern()
     * @param XTransPattern $transPattern
     */
    public function __construct(XTransPattern $transPattern = null)
    {
        $this
            ->setTransPattern($transPattern);
    }
    /**
     * Get transPattern value
     * @return XTransPattern|null
     */
    public function getTransPattern()
    {
        return $this->transPattern;
    }
    /**
     * Set transPattern value
     * @param XTransPattern $transPattern
     * @return AddTransPatternReq
     */
    public function setTransPattern(XTransPattern $transPattern = null)
    {
        $this->transPattern = $transPattern;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddTransPatternReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
